#!/bin/sh
#
ONCVPSP_PKG=oncvpsp-3.3.1.tar.gz
PKG_MD5=e21020c08d2f8f24db6fddce08ba585e
#
ONCVPSP_DIRNAME=oncvpsp-3.3.1
PATCH_FILE=oncvpsp-3.3.1--psml-3.3.1-75.patch
PATCH_LEVEL=psml-3.3.1-75
#
curl -L -o ${ONCVPSP_PKG} http://mat-simresearch.com/${ONCVPSP_PKG} || exit
echo "-"
echo "Successfully downloaded ${ONCVPSP_PKG}"
echo "-"
tar xzf ${ONCVPSP_PKG} || exit
echo "-"
echo "Successfully extracted pristine source to ${ONCVPSP_DIRNAME}"
echo "-"
cp -rp ${ONCVPSP_DIRNAME} ${ONCVPSP_DIRNAME}--${PATCH_LEVEL}
cd ${ONCVPSP_DIRNAME}--${PATCH_LEVEL}
patch -p1 < ../${PATCH_FILE} || exit
#
cd ..
#
echo "--"
echo "Successfully patched oncvpsp to enable PSML output"
echo "Patched source in directory ${ONCVPSP_DIRNAME}--${PATCH_LEVEL}"
echo "--"
echo "Follow the instructions in INSTALL to build the executables"
echo "and configure the scripts."
echo "--"
echo "You can use the get_xmlf90.sh script to download the xmlf90 library"
